IntegrationsFacturación

Refresh one electronic document issued through this connection: DIAN status, legal status, government response and files (XML, DIAN response, ZIP) archived into the Space.

POST
/integrations/connections/{connection_id}/providers/facturacion/documents/get

Refresh one electronic document issued through this connection: DIAN status, legal status, government response and files (XML, DIAN response, ZIP) archived into the Space.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/facturacion/documents/get" \  -H "Content-Type: application/json" \  -d '{    "kind": "invoice",    "provider_document_id": "example"  }'
{  "provider_document_id": "example",  "kind": "invoice",  "document_type": "example",  "prefix": "adl_live_a1",  "number": 0,  "full_number": "example",  "dian_uuid": "example",  "status": "ACTIVE",  "legal_status": "example",  "issued_at": "example",  "government_response": {    "code": "example",    "message": "Please review the extracted totals.",    "error_messages": []  },  "errors": [],  "qr_code_content": "example",  "files": {    "xml_url": "example",    "attached_document_url": "example",    "zip_url": "example"  },  "documents": {    "xml_document_id": "example",    "attached_document_id": "example",    "zip_document_id": "example"  },  "counterparty_identification": "example",  "counterparty_name": "example",  "totals": {    "gross_total": 0,    "taxable_total": 0,    "tax_total": 0,    "payable_total": 0,    "currency_code": "example"  },  "concept_code": "example",  "affected_document_uuid": "example"}